import request from '@/utils/request'

/**
 * 查询用户列表
 * @param query
 * @returns {AxiosPromise}
 */
export function getUserList(query) {
  return request({
    url: '/user/getUserPage',
    method: 'get',
    params: query
  })
}

/**
 * 添加用户
 * @param data
 * @returns {AxiosPromise}
 */
export function addUserInfo(data) {
  return request({
    url: '/user/addUser',
    method: 'post',
    data
  })
}

/**
 * 编辑用户信息
 * @param data
 * @returns {AxiosPromise}
 */
export function updateUserInfo(data) {
  return request({
    url: '/user/updateUser',
    method: 'post',
    data
  })
}

/**
 * 根据用户ID删除用户信息
 * @param data
 * @returns {AxiosPromise}
 */
export function delUserById(data) {
  return request({
    url: '/user/deleteUserById',
    method: 'post',
    data
  })
}
